Subject: Re: Building git-1.5.3.7 on HP-UX 11.00

From: Johannes Sixt <[email-masked]>
Date: Tue, 11 Dec 2007 12:01:27 +0100

H.Merijn Brand schrieb:
> On Tue, 11 Dec 2007 10:20:55 +0100, Johannes Sixt <[email-masked]>
> wrote:
> 
>> Junio C Hamano schrieb:
>>> "H.Merijn Brand" <[email-masked]> writes:
>>>> 3 I am willing to believe that HP_UX' vsnprintf () is broken, or
>>>>   at least does not conform to the expectations in the GNU world,
>>>>   but chickening out like the way strbuf_addf () does is maybe a
>>>>   bit too rude, so I forced a minimum of 64bytes available. That
>>>>   fixes a lot!
>>>>
>>>>   but it still breaks t4013 :(
>>> I think Shawn had something similar for Solaris, and if it is a small
>>> cost to help portability, it does not feel so bad.
>> Windows's vsnprintf() is broken in two regards: (1) It returns -1 if the
>> buffer is too small; (2) the size parameter is not the size of the buffer,
>> but the max. number of chars to write (i.e. does not count the NUL). How
>> broken is HP-UX's?
> 
> Do you have a simple test program to show how `broken' it is?
> I have 10.20, 11.00, 11.11, 11.23/PA and 11.23/IPF and both
> HP C-ANSI-C and gcc

Sorry, no. vsnprintf's behavior on Windows is actually documented, so to be
fair it is not "broken", but "unwanted".

-- Hannes